Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(51)

Issue 1915243003: API Bindings for GATT server functionality. (Closed)

Created:
4 years, 6 months ago by rkc
Modified:
4 years, 6 months ago
CC:
chromium-reviews, chromium-apps-reviews_chromium.org, extensions-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@adapter_and_tests
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

API Bindings for GATT server functionality. This CL adds the stub API bindings for adding GATT server functionality to the chrome.bluetoothLowEnergy API. This only adds stubs with no actual functional code. The CL does do some cleanup on the existing code (mostly with getting rid of IWYU lint issues in several files). It also makes the changes required to the existing code for the minor changes in the existing IDL code. R=ortuno@chromium.org, scheib@chromium.org BUG=606217 Committed: https://crrev.com/0ffb07da3432b430adefad9041d4a0f3f4767020 Cr-Commit-Position: refs/heads/master@{#391446}

Patch Set 1 #

Patch Set 2 : Remove redundant is_local field #

Patch Set 3 : #

Patch Set 4 : #

Patch Set 5 : #

Patch Set 6 : #

Patch Set 7 : #

Total comments: 22

Patch Set 8 : #

Total comments: 4

Patch Set 9 : #

Patch Set 10 : #

Total comments: 12

Patch Set 11 : #

Patch Set 12 : #

Patch Set 13 : #

Patch Set 14 : #

Patch Set 15 : win fix #

Total comments: 6

Patch Set 16 : #

Patch Set 17 : #

Patch Set 18 : #

Total comments: 1

Patch Set 19 : #

Total comments: 4

Patch Set 20 : #

Patch Set 21 : #

Total comments: 10

Patch Set 22 : mac_win_test_fix #

Patch Set 23 : #

Patch Set 24 : #

Patch Set 25 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+598 lines, -136 lines) Patch
M chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_api_advertisement.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 28 chunks +204 lines, -40 lines 0 comments Download
M chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 7 chunks +121 lines, -15 lines 0 comments Download
M chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_event_router.cc View 1 2 3 4 5 4 chunks +18 lines, -5 lines 0 comments Download
M chrome/browser/extensions/api/bluetooth_low_energy/utils.cc View 2 chunks +11 lines, -2 lines 0 comments Download
M chrome/common/extensions/api/bluetooth_low_energy.idl View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 12 chunks +203 lines, -61 lines 0 comments Download
A + chrome/common/extensions/docs/templates/intros/bluetooth_low_energy.html View 1 2 3 4 5 6 7 0 chunks +-1 lines, --1 lines 0 comments Download
M chrome/test/data/extensions/api_test/bluetooth_low_energy/get_characteristic/runtest.js View 1 1 chunk +0 lines, -1 line 0 comments Download
M chrome/test/data/extensions/api_test/bluetooth_low_energy/get_characteristics/runtest.js View 1 2 chunks +0 lines, -2 lines 0 comments Download
M chrome/test/data/extensions/api_test/bluetooth_low_energy/get_descriptor/runtest.js View 1 1 chunk +0 lines, -1 line 0 comments Download
M chrome/test/data/extensions/api_test/bluetooth_low_energy/get_descriptors/runtest.js View 1 2 chunks +0 lines, -2 lines 0 comments Download
M chrome/test/data/extensions/api_test/bluetooth_low_energy/get_service/runtest.js View 1 1 chunk +0 lines, -1 line 0 comments Download
M chrome/test/data/extensions/api_test/bluetooth_low_energy/get_services/runtest.js View 1 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/test/data/extensions/api_test/bluetooth_low_energy/permission_denied/runtest.js View 1 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/test/data/extensions/api_test/stubs_app/manifest.json View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +0 lines, -1 line 0 comments Download
M extensions/browser/extension_function_histogram_value.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +6 lines, -0 lines 0 comments Download
M extensions/common/api/_api_features.json View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 17 18 1 chunk +30 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +6 lines, -0 lines 0 comments Download

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 66 (24 generated)
rkc
4 years, 6 months ago (2016-04-25 23:40:42 UTC) #1
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915243003/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915243003/1
4 years, 6 months ago (2016-04-25 23:42:28 UTC) #3
rkc
Remove redundant is_local field
4 years, 6 months ago (2016-04-25 23:55:37 UTC) #4
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915243003/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915243003/20001
4 years, 6 months ago (2016-04-25 23:57:09 UTC) #6
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915243003/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915243003/100001
4 years, 6 months ago (2016-04-26 02:42:22 UTC) #8
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_rel_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/211211)
4 years, 6 months ago (2016-04-26 03:35:42 UTC) #10
Devlin
Are there any tests for the new API functions? Also, can you include a link ...
4 years, 6 months ago (2016-04-26 23:14:06 UTC) #12
rkc
There was no formal API review for this but the design doc in which this ...
4 years, 6 months ago (2016-04-27 00:00:39 UTC) #13
Devlin
lgtm from a high-level standpoint, but please wait for a btle owner to take a ...
4 years, 6 months ago (2016-04-27 14:45:03 UTC) #14
rkc
https://codereview.chromium.org/1915243003/diff/120001/chrome/common/extensions/api/bluetooth_low_energy.idl File chrome/common/extensions/api/bluetooth_low_energy.idl (right): https://codereview.chromium.org/1915243003/diff/120001/chrome/common/extensions/api/bluetooth_low_energy.idl#newcode208 chrome/common/extensions/api/bluetooth_low_energy.idl:208: // |service| : The service to create. On 2016/04/27 ...
4 years, 6 months ago (2016-04-27 20:38:56 UTC) #15
rkc
Made several changes to remove callbacks from the events as per discussion with Devlin.
4 years, 6 months ago (2016-04-27 22:24:06 UTC) #16
Devlin
https://codereview.chromium.org/1915243003/diff/180001/chrome/common/extensions/api/bluetooth_low_energy.idl File chrome/common/extensions/api/bluetooth_low_energy.idl (right): https://codereview.chromium.org/1915243003/diff/180001/chrome/common/extensions/api/bluetooth_low_energy.idl#newcode240 chrome/common/extensions/api/bluetooth_low_energy.idl:240: DOMString serviceId, indentation https://codereview.chromium.org/1915243003/diff/180001/chrome/common/extensions/api/bluetooth_low_energy.idl#newcode275 chrome/common/extensions/api/bluetooth_low_energy.idl:275: DOMString characteristicId, indentation https://codereview.chromium.org/1915243003/diff/180001/chrome/common/extensions/api/bluetooth_low_energy.idl#newcode354 ...
4 years, 6 months ago (2016-04-27 22:30:15 UTC) #17
rkc
https://codereview.chromium.org/1915243003/diff/180001/chrome/common/extensions/api/bluetooth_low_energy.idl File chrome/common/extensions/api/bluetooth_low_energy.idl (right): https://codereview.chromium.org/1915243003/diff/180001/chrome/common/extensions/api/bluetooth_low_energy.idl#newcode240 chrome/common/extensions/api/bluetooth_low_energy.idl:240: DOMString serviceId, On 2016/04/27 22:30:15, Devlin wrote: > indentation ...
4 years, 6 months ago (2016-04-27 22:40:23 UTC) #18
rkc
Added isherman@ for owners review of the metrics changes.
4 years, 6 months ago (2016-04-28 03:08:13 UTC) #21
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915243003/220001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915243003/220001
4 years, 6 months ago (2016-04-28 03:11:04 UTC) #23
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: ios_dbg_simulator_ninja on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_dbg_simulator_ninja/builds/166908) ios_rel_device_gn on ...
4 years, 6 months ago (2016-04-28 03:14:11 UTC) #25
Ilya Sherman
histograms.xml lgtm
4 years, 6 months ago (2016-04-28 17:19:21 UTC) #26
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915243003/240001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915243003/240001
4 years, 6 months ago (2016-04-28 19:38:59 UTC) #28
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_clang on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_clang/builds/14040)
4 years, 6 months ago (2016-04-28 20:42:10 UTC) #30
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915243003/280001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915243003/280001
4 years, 6 months ago (2016-04-29 17:09:29 UTC) #32
Devlin
https://codereview.chromium.org/1915243003/diff/280001/chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc File chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc (right): https://codereview.chromium.org/1915243003/diff/280001/chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc#newcode1106 chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc:1106: Respond(ArgumentList(apibtle::CreateService::Results::Create(std::string()))); What's the error? This isn't quite fine, because ...
4 years, 6 months ago (2016-04-29 17:13:13 UTC) #33
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
4 years, 6 months ago (2016-04-29 18:29:39 UTC) #35
rkc
https://codereview.chromium.org/1915243003/diff/280001/chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc File chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc (right): https://codereview.chromium.org/1915243003/diff/280001/chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc#newcode1106 chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc:1106: Respond(ArgumentList(apibtle::CreateService::Results::Create(std::string()))); On 2016/04/29 17:13:13, Devlin wrote: > What's the ...
4 years, 6 months ago (2016-04-29 20:15:58 UTC) #36
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915243003/340001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915243003/340001
4 years, 6 months ago (2016-04-30 20:31:54 UTC) #38
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_compile_dbg_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_compile_dbg_ng/builds/183455)
4 years, 6 months ago (2016-04-30 21:11:07 UTC) #40
Devlin
https://codereview.chromium.org/1915243003/diff/340001/chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc File chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc (right): https://codereview.chromium.org/1915243003/diff/340001/chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc#newcode233 chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc:233: if (!BluetoothManifestData::CheckLowEnergyPermitted(extension())) This still isn't ideal, because: a) The ...
4 years, 6 months ago (2016-05-02 17:04:39 UTC) #41
Devlin
lgtm again. Sorry for the back and forth, and thanks for the experimentation. https://codereview.chromium.org/1915243003/diff/360001/chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc File ...
4 years, 6 months ago (2016-05-02 22:27:58 UTC) #42
rkc
https://codereview.chromium.org/1915243003/diff/360001/chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc File chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc (right): https://codereview.chromium.org/1915243003/diff/360001/chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc#newcode1120 chrome/browser/extensions/api/bluetooth_low_energy/bluetooth_low_energy_api.cc:1120: Respond(ArgumentList(apibtle::CreateService::Results::Create(std::string()))); On 2016/05/02 22:27:58, Devlin wrote: > So this ...
4 years, 6 months ago (2016-05-02 23:25:51 UTC) #43
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915243003/380001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915243003/380001
4 years, 6 months ago (2016-05-02 23:27:34 UTC) #45
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: win_chromium_compile_dbg_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_compile_dbg_ng/builds/184105) win_clang on ...
4 years, 6 months ago (2016-05-03 00:19:16 UTC) #47
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915243003/400001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915243003/400001
4 years, 6 months ago (2016-05-03 20:55:23 UTC) #49
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: mac_chromium_rel_ng on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/221716)
4 years, 6 months ago (2016-05-03 21:50:39 UTC) #51
rkc
mac_win_test_fix
4 years, 6 months ago (2016-05-04 00:02:13 UTC) #52
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915243003/420001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915243003/420001
4 years, 6 months ago (2016-05-04 00:03:36 UTC) #54
scheib
https://codereview.chromium.org/1915243003/diff/400001/chrome/common/extensions/api/bluetooth_low_energy.idl File chrome/common/extensions/api/bluetooth_low_energy.idl (right): https://codereview.chromium.org/1915243003/diff/400001/chrome/common/extensions/api/bluetooth_low_energy.idl#newcode171 chrome/common/extensions/api/bluetooth_low_energy.idl:171: // Unique ID for this request. Use this ID ...
4 years, 6 months ago (2016-05-04 00:30:04 UTC) #55
rkc
https://codereview.chromium.org/1915243003/diff/400001/chrome/common/extensions/api/bluetooth_low_energy.idl File chrome/common/extensions/api/bluetooth_low_energy.idl (right): https://codereview.chromium.org/1915243003/diff/400001/chrome/common/extensions/api/bluetooth_low_energy.idl#newcode171 chrome/common/extensions/api/bluetooth_low_energy.idl:171: // Unique ID for this request. Use this ID ...
4 years, 6 months ago (2016-05-04 00:42:44 UTC) #56
scheib
https://codereview.chromium.org/1915243003/diff/400001/chrome/common/extensions/api/bluetooth_low_energy.idl File chrome/common/extensions/api/bluetooth_low_energy.idl (right): https://codereview.chromium.org/1915243003/diff/400001/chrome/common/extensions/api/bluetooth_low_energy.idl#newcode233 chrome/common/extensions/api/bluetooth_low_energy.idl:233: // Create a locally hosted GATT service. This service ...
4 years, 6 months ago (2016-05-04 01:26:32 UTC) #57
rkc
https://codereview.chromium.org/1915243003/diff/400001/chrome/common/extensions/api/bluetooth_low_energy.idl File chrome/common/extensions/api/bluetooth_low_energy.idl (right): https://codereview.chromium.org/1915243003/diff/400001/chrome/common/extensions/api/bluetooth_low_energy.idl#newcode233 chrome/common/extensions/api/bluetooth_low_energy.idl:233: // Create a locally hosted GATT service. This service ...
4 years, 6 months ago (2016-05-04 01:53:29 UTC) #58
scheib
LGTM.
4 years, 6 months ago (2016-05-04 02:30:32 UTC) #59
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1915243003/480001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1915243003/480001
4 years, 6 months ago (2016-05-04 03:29:05 UTC) #62
commit-bot: I haz the power
Committed patchset #25 (id:480001)
4 years, 6 months ago (2016-05-04 04:53:20 UTC) #64
commit-bot: I haz the power
4 years, 6 months ago (2016-05-04 04:55:12 UTC) #66
Message was sent while issue was closed.
Patchset 25 (id:??) landed as
https://crrev.com/0ffb07da3432b430adefad9041d4a0f3f4767020
Cr-Commit-Position: refs/heads/master@{#391446}

Powered by Google App Engine
This is Rietveld 408576698